Method: common.groups

Retrieves a list of groups for the authenticated user from the distributed claims endpoint.

Note: This endpoint is only supported for Looker.

HTTP request

GET https://cloudoauth.googleapis.com/v1/common/groups

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of groups to return. If unspecified, at most 2500 groups will be returned.

pageToken

string

Optional. A page token received from a previous common.groups call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for common.groups.

If successful, the response body contains data with the following structure:

JSON representation
{
  "groups": [
    string
  ],
  "nextPageToken": string
}
Fields
groups[]

string

A paginated list of enterprise group memberships for the user.

nextPageToken

string

A token which can be sent as pageToken to retrieve the next page of results. If this field is empty or omitted, there are no subsequent pages. Note: Pagination is not supported in preview.

Authorization scopes

Requires the following OAuth scope:

  • openid

For more information, see the Authentication Overview.